=== drivers/video/backlight/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Backlight & LCD drivers

obj-$(CONFIG_LCD_AMS369FG06)		+= ams369fg06.o
obj-$(CONFIG_LCD_CLASS_DEVICE)		+= lcd.o
obj-$(CONFIG_LCD_CORGI)			+= corgi_lcd.o
obj-$(CONFIG_LCD_HP700)			+= jornada720_lcd.o
obj-$(CONFIG_LCD_HX8357)		+= hx8357.o
obj-$(CONFIG_LCD_ILI922X)		+= ili922x.o
obj-$(CONFIG_LCD_ILI9320)		+= ili9320.o
obj-$(CONFIG_LCD_L4F00242T03)		+= l4f00242t03.o
obj-$(CONFIG_LCD_LMS283GF05)		+= lms283gf05.o
obj-$(CONFIG_LCD_LMS501KF03)		+= lms501kf03.o
obj-$(CONFIG_LCD_LTV350QV)		+= ltv350qv.o
obj-$(CONFIG_LCD_OTM3225A)		+= otm3225a.o
obj-$(CONFIG_LCD_PLATFORM)		+= platform_lcd.o
obj-$(CONFIG_LCD_TDO24M)		+= tdo24m.o
obj-$(CONFIG_LCD_TOSA)			+= tosa_lcd.o
obj-$(CONFIG_LCD_VGG2432A4)		+= vgg2432a4.o

obj-$(CONFIG_BACKLIGHT_88PM860X)	+= 88pm860x_bl.o
obj-$(CONFIG_BACKLIGHT_AAT2870)		+= aat2870_bl.o
obj-$(CONFIG_BACKLIGHT_ADP5520)		+= adp5520_bl.o
obj-$(CONFIG_BACKLIGHT_ADP8860)		+= adp8860_bl.o
obj-$(CONFIG_BACKLIGHT_ADP8870)		+= adp8870_bl.o
obj-$(CONFIG_BACKLIGHT_APPLE)		+= apple_bl.o
obj-$(CONFIG_BACKLIGHT_AS3711)		+= as3711_bl.o
obj-$(CONFIG_BACKLIGHT_BD6107)		+= bd6107.o
obj-$(CONFIG_BACKLIGHT_CARILLO_RANCH)	+= cr_bllcd.o
obj-$(CONFIG_BACKLIGHT_CLASS_DEVICE)	+= backlight.o
obj-$(CONFIG_BACKLIGHT_DA903X)		+= da903x_bl.o
obj-$(CONFIG_BACKLIGHT_DA9052)		+= da9052_bl.o
obj-$(CONFIG_BACKLIGHT_EP93XX)		+= ep93xx_bl.o
obj-$(CONFIG_BACKLIGHT_GPIO)		+= gpio_backlight.o
obj-$(CONFIG_BACKLIGHT_HP680)		+= hp680_bl.o
obj-$(CONFIG_BACKLIGHT_HP700)		+= jornada720_bl.o
obj-$(CONFIG_BACKLIGHT_IPAQ_MICRO)	+= ipaq_micro_bl.o
obj-$(CONFIG_BACKLIGHT_KTD253)		+= ktd253-backlight.o
obj-$(CONFIG_BACKLIGHT_LM3533)		+= lm3533_bl.o
obj-$(CONFIG_BACKLIGHT_LM3630A)		+= lm3630a_bl.o
obj-$(CONFIG_BACKLIGHT_LM3639)		+= lm3639_bl.o
obj-$(CONFIG_BACKLIGHT_LOCOMO)		+= locomolcd.o
obj-$(CONFIG_BACKLIGHT_LP855X)		+= lp855x_bl.o
obj-$(CONFIG_BACKLIGHT_LP8788)		+= lp8788_bl.o
obj-$(CONFIG_BACKLIGHT_LV5207LP)	+= lv5207lp.o
obj-$(CONFIG_BACKLIGHT_MAX8925)		+= max8925_bl.o
obj-$(CONFIG_BACKLIGHT_MT6370)		+= mt6370-backlight.o
obj-$(CONFIG_BACKLIGHT_OMAP1)		+= omap1_bl.o
obj-$(CONFIG_BACKLIGHT_PANDORA)		+= pandora_bl.o
obj-$(CONFIG_BACKLIGHT_PCF50633)	+= pcf50633-backlight.o
obj-$(CONFIG_BACKLIGHT_PWM)		+= pwm_bl.o
obj-$(CONFIG_BACKLIGHT_QCOM_WLED)	+= qcom-wled.o
obj-$(CONFIG_BACKLIGHT_RT4831)		+= rt4831-backlight.o
obj-$(CONFIG_BACKLIGHT_SAHARA)		+= kb3886_bl.o
obj-$(CONFIG_BACKLIGHT_SKY81452)	+= sky81452-backlight.o
obj-$(CONFIG_BACKLIGHT_TOSA)		+= tosa_bl.o
obj-$(CONFIG_BACKLIGHT_TPS65217)	+= tps65217_bl.o
obj-$(CONFIG_BACKLIGHT_WM831X)		+= wm831x_bl.o
obj-$(CONFIG_BACKLIGHT_ARCXCNN) 	+= arcxcnn_bl.o
obj-$(CONFIG_BACKLIGHT_RAVE_SP)		+= rave-sp-backlight.o
obj-$(CONFIG_BACKLIGHT_LED)		+= led_bl.o
