=== samples/rust/hostprogs/Makefile ===
# SPDX-License-Identifier: GPL-2.0

hostprogs-always-y := single

single-rust := y
