=== tools/testing/selftests/cpufreq/Makefile ===
# SPDX-License-Identifier: GPL-2.0
all:

TEST_PROGS := main.sh
TEST_FILES := cpu.sh cpufreq.sh governor.sh module.sh special-tests.sh

include ../lib.mk

clean:
