=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-39-alpha-generic [alpha], linux-image-6.1.0-39-alpha-smp [alpha], linux-image-6.1.0-39-amd64-unsigned [amd64], linux-image-6.1.0-39-cloud-amd64-unsigned [amd64], linux-image-6.1.0-39-rt-amd64-unsigned [amd64], linux-image-6.1.0-39-arm64-unsigned [arm64], linux-image-6.1.0-39-cloud-arm64-unsigned [arm64], linux-image-6.1.0-39-rt-arm64-unsigned [arm64], linux-image-6.1.0-39-marvell [armel], linux-image-6.1.0-39-rpi [armel], linux-image-6.1.0-39-armmp [armhf], linux-image-6.1.0-39-armmp-lpae [armhf], linux-image-6.1.0-39-rt-armmp [armhf], linux-image-6.1.0-39-parisc [hppa], linux-image-6.1.0-39-parisc64 [hppa], linux-image-6.1.0-39-686-unsigned [i386], linux-image-6.1.0-39-686-pae-unsigned [i386], linux-image-6.1.0-39-rt-686-pae-unsigned [i386], linux-image-6.1.0-39-itanium [ia64], linux-image-6.1.0-39-mckinley [ia64], linux-image-6.1.0-39-m68k [m68k], linux-image-6.1.0-39-4kc-malta [mips mipsel], linux-image-6.1.0-39-mips32r2eb [mips], linux-image-6.1.0-39-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-39-5kc-malta [mips64 mips64el], linux-image-6.1.0-39-mips64r2eb [mips64], linux-image-6.1.0-39-mips64r2el [mips64el], linux-image-6.1.0-39-loongson-3 [mips64el mipsel], linux-image-6.1.0-39-mips64r6eb [mips64r6], linux-image-6.1.0-39-mips64r6el [mips64r6el], linux-image-6.1.0-39-mips32r2el [mipsel], linux-image-6.1.0-39-mips32r6eb [mipsr6], linux-image-6.1.0-39-mips32r6el [mipsr6el], linux-image-6.1.0-39-powerpc [powerpc], linux-image-6.1.0-39-powerpc-smp [powerpc], linux-image-6.1.0-39-powerpc64 [powerpc ppc64], linux-image-6.1.0-39-powerpc64le [ppc64el], linux-image-6.1.0-39-riscv64 [riscv64], linux-image-6.1.0-39-s390x [s390x], linux-image-6.1.0-39-sh7751r [sh4], linux-image-6.1.0-39-sh7785lcr [sh4], linux-image-6.1.0-39-sparc64 [sparc64], linux-image-6.1.0-39-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.1.0-39-alpha-smp [alpha], linux-headers-6.1.0-39-cloud-amd64 [amd64], linux-headers-6.1.0-39-cloud-arm64 [arm64], linux-headers-6.1.0-39-armmp [armhf], linux-headers-6.1.0-39-parisc [hppa], linux-headers-6.1.0-39-686-pae [i386], linux-headers-6.1.0-39-itanium [ia64], linux-headers-6.1.0-39-m68k [m68k], linux-headers-6.1.0-39-powerpc64 [ppc64], linux-headers-6.1.0-39-powerpc64le [ppc64el], linux-headers-6.1.0-39-riscv64 [riscv64], linux-headers-6.1.0-39-s390x [s390x], linux-headers-6.1.0-39-sparc64-smp [sparc64]
